<?php 
class User {
	private static $getUSer;
	
	public function __construct(){
		Core::run();
		if(isset($_COOKIE['userlogin']) && isset($_COOKIE['userhash']) && Core::count("SELECT COUNT(*) FROM `users` WHERE `login` = ? && `hash` = ?", array($_COOKIE['userlogin'], $_COOKIE['userhash'])) == true){
			self::$getUSer = Core::query("SELECT * FROM `users` WHERE `login` = ? && `hash` = ?", array($_COOKIE['userlogin'], $_COOKIE['userhash'])) -> fetch();
		}
	}
	
	/**
	* @return array user
	*/
	public static function getUser(){
		return self::$getUSer;
	}
	
	/**
	* Проверка прав пользователя для условий
	*
	* @param $level уровень доступа юзера
	*/
	public static function ifAdmin($level){
		if(!self::getUser() or self::$getUSer['admin'] < $level) return false;
		else return true;
	}
	
	/**
	* Проверка прав пользователя для страницы
	*
	* @param $level уровень доступа юзера
	*/
	public static function admin($level){
		if (!self::getUser() || self::ifAdmin($level) == true){
			return true;
		} else {
			Core::redirect('/', 'Доступ запрещен');
		}
	}
	
	/**
	* Страница для (не) авторизованных
	*
	* @param $var true/false  автоизованных/не авторизованных
	*/
	public static function aut($var = true){
		if(!self::getUser() && $var == true) header('Location: /');
		if(self::getUser() && $var == false) header('Location: /');
	}
}
?>